(
	------------------------------------------------------
	-- ColorBar v1.0
	-- By Lockdown Media 3D - http://3d.ldm.no
	-- Inspired by joegunn3d's color bar
	------------------------------------------------------
	
	-- Path to the ColorBar's INI-file
	local var_INIpath					= getdir #plugcfg + "\\LDM3D_ColorBar.ini"
	
	
	-- See if the INI-file exsist, and try to retrieve startup settings from it
	if (doesFileExist(var_INIpath) == true) do
		local var_ActiveSwatch	= (getIniSetting var_INIpath "Dialog" "LoadOnStartup")
	
	
	-- Run script if load on startup is set to true, or a first time launch is detected
	if (var_ActiveSwatch == "true") or (var_ActiveSwatch == undefined) then
	(
		-- Variables
		local var_scriptPath	= @"$scripts\ColorBar.ms"
		local var_errorMsg	= "One or more files needed by the script were not found! As a consequence, the script may be partially or completely broken!\n\nFiles:\n" + var_scriptPath
		
		-- Run script file if found, if not, return error!
		if doesFileExist var_scriptPath then
			filein var_scriptPath
		else
			messagebox var_errorMsg title:"Color Bar: Error!"
		
		-- Launch the macro
		macros.run "LDM3D" "ColorBar"
	)
	else
	(
		print "Color Bar: 'Load on Startup' is disabled. Start the script using the MacroSctipt button"
	)
	
	
	-- Enable to always run macro
	--macros.run "LDM3D" "ColorBar"
	
) -- end script